AccessPlugin (softwaregateway-client 2.0.0-2.17.0 API)
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.softwaregateway.client.plugins
Class AccessPlugin

    java.lang.Object
      org.gcube.vremanagement.softwaregateway.client.plugins.AbstractPlugin<SGAccessServiceJAXWSStubs,SGAccessLibrary>
          org.gcube.vremanagement.softwaregateway.client.plugins.AccessPlugin

All Implemented Interfaces:
  org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,SGAccessServiceJAXWSStubs,SGAccessLibrary>, org.gcube.common.clients.fw.plugin.Plugin<SGAccessServiceJAXWSStubs,SGAccessLibrary>

    public class AccessPlugin

extends AbstractPlugin<SGAccessServiceJAXWSStubs,SGAccessLibrary>

Author:
  Roberto Cirillo (ISTI -CNR)

Field Summary

Fields inherited from class org.gcube.vremanagement.softwaregateway.client.plugins.AbstractPlugin
`name`

Constructor Summary
`AccessPlugin()`

Method Summary
`String` | `namespace()`
`SGAccessLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<SGAccessServiceJAXWSStubs> delegate)`
`SGAccessServiceJAXWSStubs` | `resolve(EndpointReference reference, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

Methods inherited from class org.gcube.vremanagement.softwaregateway.client.plugins.AbstractPlugin
`convert, name, serviceClass, serviceName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessPlugin

    public AccessPlugin()

Method Detail

### resolve

    public SGAccessServiceJAXWSStubs resolve(EndpointReference reference,
                                             org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                      throws Exception

  Throws:
    `Exception`

### newProxy

    public SGAccessLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<SGAccessServiceJAXWSStubs> delegate)

### namespace

    public String namespace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.